| Qore Programming Language - C/C++ Library 1.0.8

Public Member Functions | List of all members
QoreExternalProgramCallContextHelper Class Reference

allows the program call context to be set by external modules More...

`#include <QoreProgram.h>`

## Public Member Functions
DLLEXPORT | QoreExternalProgramCallContextHelper (QoreProgram *pgm)
| sets the call context to the given program
DLLEXPORT | ~QoreExternalProgramCallContextHelper ()
| resets the call context to the original state

## Detailed Description

allows the program call context to be set by external modules

Since
  Qore 0.9.4

The documentation for this class was generated from the following file:

- include/qore/QoreProgram.h